<?php

class LiamW_AlterEgoDetector_Extend_DataWriter_User extends XFCP_LiamW_AlterEgoDetector_Extend_DataWriter_User
{
	/*
	 * (non-PHPdoc) @see XenForo_DataWriter_User::_preSave()
	 */
	protected function _preSave()
	{
		if (XenForo_Application::isRegistered('aed_set_moderated'))
		{
			if (XenForo_Application::get('aed_set_moderated'))
			{
				$this->set('user_state', 'moderated');
			}
		}

		parent::_preSave();
	}

}

/*class XFCP_LiamW_AlterEgoDetector_Extend_DataWriter_User extends XenForo_DataWriter_User
{

}*/